Bug 122644 (cal-alarms)

Alarms tracking bug (Calendar Requirements Document, section 2)

VERIFIED INVALID

Status

VERIFIED INVALID
17 years ago
10 years ago

People

(Reporter: chris, Unassigned)

Tracking

(Depends on: 1 bug, {meta})

Details

(URL)

(Reporter)

Description

17 years ago
This is a tracking bug for Alarms, section 1.0 of the Calendar Requirements 
Document.
(Reporter)

Updated

17 years ago
Blocks: 122643

Updated

17 years ago
Status: UNCONFIRMED → ASSIGNED
Ever confirmed: true

Updated

17 years ago
Depends on: 128994
(Reporter)

Updated

17 years ago
Depends on: 134969
(Reporter)

Updated

17 years ago
Depends on: 133316
(Reporter)

Comment 1

17 years ago
Bugspam: Adding meta keyword to tracking bugs, something they should have had
from the start. :P
Keywords: meta

Updated

17 years ago
Depends on: 137766

Updated

17 years ago
Depends on: 137772

Updated

17 years ago
Depends on: 138223

Updated

16 years ago
Alias: cal-alarms

Comment 2

16 years ago
on Win 2K (french)/ Mozilla 1.0 i only get the alarm fired when i add/remove an
event.
Even if i let the calendar always open.
Even with the last calendar build. 31/07/2002

I can make deeper test, juste send my a step-by-step instruction.
-- 
julien.balas@free.fr

Comment 3

16 years ago
->meta
Assignee: mikep → nobody
Status: ASSIGNED → NEW

Comment 4

16 years ago
For ease of use and slower PCs I would like a feature in Mozilla, that loads
"startup notification modules". It would be very userfriendly and an advantage
to outlook, if you had a little startup program for the taskbar, that is not a
quicklaunch, but just a notificator for events.
I thought of something similiar to the email notification in NS4. When starting
it, one should think about not providing just a notification tool for calendar,
but a basis for other notificators, that can be enabled, or disabled. In this
way you would have one tray icon that notifies you about e.g. calendar events
and email open for others to program their own modules that could be used
instead of the default Mozilla notificators.

Comment 5

16 years ago
RE comment #2: I just filed a detailed bug on this open issue. 

Bug 177279: Alarms don't fire under certain (very common) conditions

Updated

16 years ago
Depends on: 155882

Comment 6

16 years ago
Default QA Contact for Calendar has changed.  If you wish to remain the QA
contact for this bug, feel free to change it back.
QA Contact: colint → brantgurganus2001

Updated

16 years ago
Depends on: 177279

Comment 7

16 years ago
Mozilla 1.3, Calendar 0.8 (2003033112): I have 2 events with alarms in my
Calendar: one for April 23rd at 17:05 (which went off as expected) and one for
May 2nd (today) at 17:25 with the alarm set for 1 minute before.

Today's alarm never fired, even though Moz + Calendar were running, BUT every
time I add, update or remove an event, I receive an alarm for the April 23rd event:

Calendar Event Alarm Went Off!
----------------------------
Title:  at 2003/04/23 17:05:00
This message sent to you from the Mozilla Calendar.
http://www.mozilla.org/projects/calendar/

(I get the same behaviour with same calendar XPI on moz 1.4a.)

Back on moz 1.3, I just deleted the April 23rd event; now that event no longer
fires (of course), but today's event still hasn't fired either.

Then I tried adding another event for today: 17:45 with alarm 1 minute before;
still no alarm fired.

Comment 8

15 years ago
I think Comment #4 is a good addition to the email notification biff..
So Calendar doesnt have to stay open

Updated

15 years ago
Summary: Alarms tracking bug (Calendar Requirements Document, section 1.0) → Alarms tracking bug (Calendar Requirements Document, section 2)

Updated

15 years ago
OS: other → All
Hardware: PC → All

Comment 9

15 years ago
Option for no popup alarm when email alarm configured.

Comment 10

15 years ago
Option for no proir-year alarms for birthdays with event dates in years prior to
current.

Comment 11

15 years ago
The Calendar rocks, watching the bug because I really need the thing to Alarm
(pop up and/or e-mail notify) when the program is closed down.  Keep up the good
work!
Chris, just for reference, by program do you mean Suite (seamonkey),
Firefox/Thunderbird, or Sunbird?

And if windows, does mozilla reside in your task-tray when no windows are open?

Comment 13

15 years ago
Maybe it's wrong here, but I will give it a try.
I tried to switch to Mozilla 1.7 (it's release candidates) and installed the
calendar. However, since then no alarm bothered me again. Nice feature, but
probably not intended. Finally, I went back Mozilla 1.6 with the old calendar
since I am missing too many meetings.
I am running mozilla under RedHat 8.0.

Comment 14

15 years ago
Upgraded today to mozilla 1.7 and installed the calendar from the nightly build
of 2004-06-17. Great, the alarm seems to work again in this version.

Comment 15

15 years ago
Adding enhancement request for Bug #220694 to the requirement sections for
Alarms. Added as dependency.
Depends on: 220694

Comment 16

14 years ago
I get the same behaviour in the last sunbird build (and previous versions too).
It seems that this bug happens after the computer (I use a dell d600 laptop)
returns from a suspend.
Sometimes it takes more than one suspend for it to happen.

Comment 17

14 years ago
(In reply to comment #11)
> The Calendar rocks, watching the bug because I really need the thing to Alarm
> (pop up and/or e-mail notify) when the program is closed down.  Keep up the good
> work!

This is a big one IMO! I think that's one of the reasons why Mozilla Calendar is
installed as an XPI of Firefox, so that you can get notifications even if you
don't open up the Mozilla Calendar program.

Please include this ASAP! This is my only issue with it! Thanks!

Comment 18

14 years ago
How about a little 'bell' icon in the block of an alarmed event in the
week/day/month view of the calender for prettyness sake and to let you know
which events you've alarmed or not?

Comment 19

14 years ago
I would like to add a suggestion to this particular section of the Calendar.  

How about a common event database directory?  Example:  I've created an event in
the Mozilla Firefox extention, but I can't see that event if I'm using the
Thunderbird extention.

Updated

13 years ago
QA Contact: gurganbl → general
We don't need this tracking bug, because the underlying requirement document is outdated and has therefore been removed.
Status: NEW → RESOLVED
Last Resolved: 13 years ago
Resolution: --- → INVALID

Updated

10 years ago
Status: RESOLVED → VERIFIED
No longer depends on: 137766
You need to log in before you can comment on or make changes to this bug.